%define	name	gnome-power-manager
%define version	2.26.1
%define	release	%mkrel 1

Name:		%name
Version:	%version
Release:	%release
Summary:	GNOME Power Manager
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gnome-power-manager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/%{name}-%{version}.tar.bz2
# (fc) 2.23.91-2mdv lock screensaver when running suspend / hibernate (needed since we don't auto-lock screensaver by default)
Patch0:		gnome-power-manager-2.23.91-lock.patch
# (pt) Claim org.freedesktop.Policy.Power so that other scripts and apps know that some power management tool is running
Patch1:		gnome-power-manager-powerpolicy.patch
# (pt) Use gnome-session-save to get the shutdown dialog, else we get the logout one
# We should use dbus directly but the dialog needs to ask us canHibernate and canSuspend
Patch2:		gnome-power-manager-shutdown.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	libgnomeui2-devel >= 2.10.0
BuildRequires:	libglade2.0-devel >= 2.5.0
BuildRequires:	libwnck-devel >= 2.10.0
BuildRequires:	hal-devel >= 0.5.6
BuildRequires:	dbus-devel >= 0.50
BuildRequires:	libcanberra-devel
BuildRequires:	autoconf2.5
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libnotify-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	xmlto
BuildRequires:	libxslt-proc
BuildRequires:  libtool
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	libpanel-applet-devel
BuildRequires:	libgstreamer-devel
BuildRequires:  intltool
BuildRequires:  policykit-gnome-devel
BuildRequires:  libdevkit-gobject-devel
BuildRequires:	unique-devel >= 0.9.4
Requires:	gnome-mime-data
Requires:	gnome-icon-theme
Requires:	hal >= 0.5.6
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post): scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper
Requires:	policykit-gnome
Requires:	devicekit-power

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q
%patch0 -p1 -b .lock
%patch1 -p1 -b .powerpolicy
#%patch2 -p0 -b .logout

%build
%configure2_5x --enable-legacy-buttons \
	--enable-policykit \
	--with-doc-dir=%{buildroot}%{_datadir}/doc \
	--with-dbus-services=%{buildroot}%{_datadir}/dbus-1/services
make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall _ENABLE_SK=false

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

desktop-file-install --vendor="" \
	--add-category="DesktopSettings" \
	--add-category="GTK" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/gnome-power-preferences.desktop

%find_lang %name
 
mv %{buildroot}%{_docdir}/*/spec/dbus-interface.html .

%clean
rm -rf %{buildroot}

%define schemas %name

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README dbus-interface.html
%{_sysconfdir}/xdg/autostart/gnome-power-manager.desktop
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/gnome-power-manager
%{_datadir}/gnome/help/gnome-power-manager
%{_datadir}/omf/gnome-power-manager
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/gnome-*
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server
%_libexecdir/gnome-brightness-applet
%_libexecdir/gnome-inhibit-applet
%{_sysconfdir}/gconf/schemas/*.schemas



%changelog
* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.1-1mdv2009.1
+ Revision: 368649
- Release 2.26.1
- Regenerate patch1

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 367343
- enable legacy buttons, fix Mdv bug #48741
- enable policykit support explicitly

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355711
- update to new version 2.26.0

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-3mdv2009.1
+ Revision: 353140
- new version
- drop patch 3

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.91-3mdv2009.1
+ Revision: 349072
- Patch3 (SVN): don't register in session manager

* Thu Feb 26 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.91-2mdv2009.1
+ Revision: 345254
- Rebuild with latest x11-proto

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 339486
- new version
- drop patch 3
- update file list

* Thu Feb 05 2009 Pascal Terjan <pterjan@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 337822
- Add fedora patch for #47556

* Mon Feb 02 2009 Funda Wang <fundawang@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 336482
- BR unique

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update build deps

* Thu Jan 29 2009 Pascal Terjan <pterjan@mandriva.org> 2.25.2-3mdv2009.1
+ Revision: 335045
- Require devicekit-power

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-2mdv2009.1
+ Revision: 326586
- update to new version 2.25.2

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 315958
- update build deps
- new version
- update patch 1
- disable patch 2

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 303958
- new version
- drop patch 3

* Mon Oct 27 2008 Pascal Terjan <pterjan@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 297703
- Backport upstream patch to avoid duplicate events from X+Hal
- Allow setting and alternate logout command in gconf

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 296486
- update to new version 2.24.1

* Tue Sep 30 2008 Pascal Terjan <pterjan@mandriva.org> 2.24.0-3mdv2009.0
+ Revision: 290244
- Prompt the Shutdown dialog and not the Logout one when pressing power button

* Fri Sep 26 2008 Pascal Terjan <pterjan@mandriva.org> 2.24.0-2mdv2009.0
+ Revision: 288601
- Restore gnome-power-manager-powerpolicy.patch (else shutdown will occur immediatly when pressing the button)

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287267
- new version

* Tue Sep 16 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.91-2mdv2009.0
+ Revision: 285148
- Patch0: lock screensaver when doing suspend / hibernate (needed since we don't autolock screensaver by default)

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278391
- new version

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 264261
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 231413
- enable policykit
- fix buildrequires
- new version
- update license
- drop patch

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.22.1-1mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 29 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2008.1
+ Revision: 191139
- new version
- drop patch 2

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190629
- Fix buildrequires
- Remove patch2 (no longer needed)
- Patch2 (SVN): lot of bug fixes from upstream

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183914
- new version

* Fri Feb 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 168766
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 128682
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Pascal Terjan <pterjan@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 120585
- update to new version 2.20.2
- update to new version 2.20.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package big ChangeLog

* Tue Dec 11 2007 Colin Guthrie <cguthrie@mandriva.org> 2.20.1-3mdv2008.1
+ Revision: 117178
- Disable PolicyKit support for now as it's based on an old implementation.

* Fri Dec 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-2mdv2008.1
+ Revision: 116339
- Fix buildrequires
- Enable PolicyKit support for cooker

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 108695
- new version

* Wed Oct 17 2007 Pascal Terjan <pterjan@mandriva.org> 2.20.0-2mdv2008.1
+ Revision: 99585
- Add P3 by David Zeuthen to get the errors (Upstream #486138)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89332
- new version

* Mon Sep 10 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 83982
- 2.19.92
- Drop P5 (fixed in popt)

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 81780
- Fix menu entry to only appear in GNOME preference menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%{_datadir}/man by %%{_mandir}!

* Thu Aug 02 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 58159
- update to new version 2.19.6
- Update P0 for 2.19.6
- Have a complete Source URL to allow mdvsys update to work

* Wed Jul 04 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 48179
- Drop Patch4, g-p-m no longer uses gst-launch
- 2.19.5
  drop Patch6

* Thu Jun 28 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 45570
- Add upstream patch that should fix #444240

* Fri Jun 15 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 39811
- BuildRequires libgstreamer-devel as we now use it
- Fix build with new popt
- package new doc dbus-interface.html
- 2.19.3

  + Michael Scherer <misc@mandriva.org>
    - /usr/share/dbus/services is already owned by dbus

* Wed May 23 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 29945
- 2.19.2

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 22078
- dbus config file is no longer shipped
- Drop P1, merged upstream
- 2.19.1

* Tue Apr 17 2007 Pascal Terjan <pterjan@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 14022
- 2.18.2
- Drop patch3


* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-1mdv2007.1
+ Revision: 148930
- Release 2.18.1
- Patch3 (SVN): sync DPMS policy settings at startup for backlight
- Patch4 : use gstreamer 0.10 for sound event

* Mon Mar 12 2007 Pascal Terjan <pterjan@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142121
- fix tray patch
- 2.18.0

* Sat Mar 03 2007 Pascal Terjan <pterjan@mandriva.org> 2.17.92-3mdv2007.1
+ Revision: 131897
- Fix the statusicon to work under KDE

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-2mdv2007.1
+ Revision: 130552
- Add dependency on pm-utils

  + Pascal Terjan <pterjan@mandriva.org>
    - 2.17.92
    - 2.17.91

* Tue Jan 23 2007 Pascal Terjan <pterjan@mandriva.org> 2.17.90-3mdv2007.1
+ Revision: 112367
- 2.17.90

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-3mdv2007.1
+ Revision: 108623
- remove dep on the notification daemon

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 2.17.4-2mdv2007.1
+ Revision: 107299
- make g-p-m acquire unofficial org.freedesktop.Policy.Power at startup (patch from openSuse)

* Tue Dec 19 2006 Pascal Terjan <pterjan@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 100000
- 2.17.4

* Fri Dec 15 2006 Colin Guthrie <cguthrie@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 97417
- Rebuild for new DBus

* Mon Dec 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90312
- BuildRequires libpanel-applet-devel
- 2.17.3

* Wed Nov 15 2006 Pascal Terjan <pterjan@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 84517
- 2.16.2
- drop P0, applied upstream

* Wed Nov 01 2006 Pascal Terjan <pterjan@mandriva.org> 2.16.1-2mdv2007.1
+ Revision: 75058
- Add it to the menu (#26438)

* Sun Oct 29 2006 Pascal Terjan <pterjan@mandriva.org> 2.16.1-1mdv2007.1
+ Revision: 73674
- 2.16.1
- Add patch to correctly monitor devices after resume
- Import gnome-power-manager

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-1mdv2007.0
- Release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92
- Remove patch0 (merged upstream)

* Sun Aug 20 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.91-3mdv2007.0
- Fix crash on unlocking screensaver (P0)

* Wed Aug 16 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.91-2mdv2007.0
- BuildRequires ImageMagick

* Wed Aug 09 2006 Jerome Soyer <saispo@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-1mdv2007.0
- Release 2.15.90

* Mon Jul 17 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.4-2mdv2007.0
- Enforce disabling policykit

* Wed Jul 12 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.4-1mdv2007.0
- 2.15.4

* Fri Jun 23 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.3-4mdv2007.0
- Fix postun

* Fri Jun 23 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.3-3mdv2007.0
- Add missing buildrequires

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-2mdv2007.0
- Drop pmscripts dependencies (hal has been fixed now)
- use new macros

* Thu Jun 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-1mdv2007.0
- Release 2.15.3
- Remove killall gconfd, it is done by gconftool

* Mon Jun 05 2006 Pascal Terjan <pterjan@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2
- update icon cache

* Sun May 21 2006 Pascal Terjan <pterjan@mandriva.org> 2.14.3-2mdk
- really re-enable libnotify

* Sun May 21 2006 Pascal Terjan <pterjan@mandriva.org> 2.14.3-1mdk
- New release 2.14.3
- re-enable libnotify

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-7mdk
- Fix BuildRequires

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-6mdk
- disable libnotify

* Tue Jan 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-5mdk 
- Buildrequires docbook-utils (for docbook2man)

* Sun Jan 15 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-4mdk
- BuildRequires libnotify-devel
- requies pmscripts

* Fri Jan 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-3mdk
- buildRequires gnome-doc-utils

* Fri Jan 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-2mdk
- buildRequires XML::Parser

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.3.1-1mdk
- First package, partially based on upstream RPM for Fedora

